{% load static %}
<html>
    <head>
        <title>App Enquetes</title>
        <link rel="stylesheet" typy="text/css"
              href="{% static 'enquetes/estilo.css' %}" />
    </head>
    <body>
        <h2 align="center">Aplicação de Enquetes<br/>
        <img alt="Imagem alusiva à aplicação" width="218" height="125"
             src="{% static 'enquetes/imagens/enquete.png' %}" /></h2>
        <hr/>
        {% if messages %}
            <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {{ message }}
                </li>
            {% endfor %}
            </ul><hr/>
        {% endif %}
        <h3>PERFIL do Autor: {{ autor.nome }}</h3>
        <u>E-mail</u>: {{ autor.user.email }}<br/>
        <u>Idade</u>: {{ autor.idade }}<br/>
        <u>Descrição</u>: {{ autor.perfil.descricao }} <br/>
        <u>Cidade/País</u>: {{ autor.perfil.cidade }}/{{ autor.perfil.pais }}<br/>
        <u>Gêneros</u>: {{ autor.perfil.generos }}<br/>
        <h3>Enquetes postadas por {{ autor.nome }}</h3>
        {% if autor.pergunta_set.all %}
            <ul>
            {% for enq in autor.pergunta_set.all %}
                <li>
                    {% if enq.is_encerrada %}
                        (encerrada)
                    {% else %}
                        <a href="{% url 'enquetes:detalhes' enq.id %}">
                    {% endif %}
                    {{ enq.texto }}
                    {% if enq.is_encerrada %}
                         - ( <a href="{% url 'enquetes:resultado' enq.id %}">ver resultado</a> )
                    {% else %}
                        </a> - (
                        {% if enq.autor.user == user %}
                            <a href="{% url 'enquetes:editar' enq.id %}">editar</a> |
                        {% endif %}
                        <a href="{% url 'enquetes:resultado' enq.id %}">ver parcial</a> )
                    {% endif %}
                </li>
            {% endfor %}
            </ul>
        {% else %}
            <p>Nenhuma enquete cadastrada para o referido autor!</p>
        {% endif %}
        <hr/>
        <a href="{% url 'enquetes:index' %}">Todas as enquetes</a>&ensp;|&ensp;
        <a href="{% url 'enquetes:nova' %}">Cadastrar nova enquete</a>
        {% if user.is_authenticated %}
            &ensp;|&ensp;
            Logado como <b>{{ user.username }}</b>&ensp;|&ensp;
            <a href="{% url 'logout' %}?next=/enquetes">Logout</a>
        {% endif %}
    </body>
</html>